%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Information about version of Curry2Prolog.

:- module(version,[compilerVersion/1, printPakcsHeader/0]).

:- use_module(prologbasics).
:- use_module(basics).

% Included in headers of compiler Prolog files.
% Used to check already compiled Prolog files for correct
% version w.r.t. run-time system
compilerVersion('PAKCS1.7V3').

buildVersion('1.7.2 (6)').
buildDate('29/03/06').

printPakcsHeader :-
	prolog(Prolog),
	buildVersion(Version),
	writeNQ('  ______      __       _    _    ______   _______     '), nlNQ,
	writeNQ(' |  __  |    /  \\     | |  / /  |  ____| |  _____|   Portland Aachen Kiel'), nlNQ,
	writeNQ(' | |  | |   / /\\ \\    | |_/ /   | |      | |_____    Curry System'), nlNQ,
	writeNQ(' | |__| |  / /__\\ \\   |  _  |   | |      |_____  |   '), nlNQ,
	writeNQ(' |  ____| / ______ \\  | | \\ \\   | |____   _____| |   Version '), writeNQ(Version), nlNQ,
	writeNQ(' |_|     /_/      \\_\\ |_|  \\_\\  |______| |_______|   March 2006'), nlNQ,
	nlNQ,
        writeNQ('Curry2Prolog('), writeNQ(Prolog),
	writeNQ(') Compiler Environment (Version of '),
	buildDate(BD), writeNQ(BD), writeNQ(')'), nlNQ,
	writeNQ('(RWTH Aachen, CAU Kiel, Portland State University)'), nlNQ,
	nlNQ,
	writeNQ('Bug reports: mh@informatik.uni-kiel.de'), nlNQ,
	nlNQ,
	writeNQ('Type ":h" for help'), nlNQ,
	nlNQ.
